jQuery(function ($) {

    /**
     * This is needed so we can update quickedit field on quickedit save
     */
    jQuery('#the-list').on('click', '.editinline', function () {
        var post_id = jQuery(this).closest('tr').attr('id');
        jQuery('input[name="product_preparation_time"]', '.inline-edit-row').val($("#product_preparation_time_" + post_id).val());

    });

    pi_edd_disable_estimate_on_product();

    function pi_edd_disable_estimate_on_product() {
        var $ = jQuery;
        $("#pisol_edd_disable_estimate").on('change', function () {
            if ($("#pisol_edd_disable_estimate").is(":checked")) {
                $("#pisol-product-preparation-days").fadeOut();
            } else {
                $("#pisol-product-preparation-days").fadeIn();
            }
        });
        jQuery("#pisol_edd_disable_estimate").trigger("change");
    }

    pi_edd_hide_global_preparation_time();
    function pi_edd_hide_global_preparation_time() {
        var $ = jQuery;
        $("#pisol_edd_use_variation_preparation_time").on('change', function () {
            if ($("#pisol_edd_use_variation_preparation_time").is(":checked")) {
                $(".product_preparation_time_field, .out_of_stock_product_preparation_time_field").fadeOut();
            } else {
                $(".product_preparation_time_field, .out_of_stock_product_preparation_time_field").fadeIn();
            }
        });
        jQuery("#pisol_edd_use_variation_preparation_time").trigger("change");
    }

    pi_edd_hideShowField("#pi_general_range", "#row_pi_edd_min_max", 'hide');
    function pi_edd_hideShowField(parent, child, show_hide) {
        var $ = jQuery;
        $(parent).on('change', function () {
            if (show_hide == 'show') {
                if ($(parent).is(":checked")) {
                    $(child).fadeIn();
                } else {
                    $(child).fadeOut();
                }
            } else {
                if ($(parent).is(":checked")) {
                    $(child).fadeOut();
                } else {
                    $(child).fadeIn();
                }
            }
        });
        jQuery(parent).trigger("change");
    }
});